Get Archived Collection Record

Query the detailed markup data, including the rebate ratio snapshot and rebate amount for each collection record. Retrieve historical markup records from 7 to 90 days ago.

Permission

  • Applies to primary user's API Key only
  • Permission: READ.

Rate Limit

  • to be confirmed

Request Parameters

FieldTypeMandatoryRemark
exchangeStringNExchange type, like BINANCE , OKX ..
instTypeStringNBusiness type, like SPOT, PERP ...
coinStringNCoin currency, like BTC, USDT...
subPortfolioIdStringNsubPortfolioId
symStringNTrading pair unique identifier
beginStringNStart time of the query window. If not specified, the default is to query data from up to 90 days ago.
endStringNEnd time of the query window. If not specified, the current time is used.
pageStringNCurrent page, default is 1
pageSizeStringNPage size(Default 1000, max 1000)

Response

FieldTypeRemark
userIdStringUser id
portfolioIdStringPortfolio id
subPortfolioIdStringSub portfolio id
exchangeTypeStringExchange type
businessTypeStringBusiness type
transactionIdStringTransaction id
coinStringTrading fee coin name
symStringTrading pair unique identifier
feePriceStringTrading Fee USDT Value
amountStringTrading fee coin amount
rebateRatioStringRebate ratio snapshot read at settlement time, 4 decimal places.
rebateAmountStringActual rebate amount for this collection record, 8 decimal places, truncated without rounding.
statusStringNEW, COMPLETED
createAtStringCreate time

Example Response

{
  "code": 200000,
  "message": "Success",
  "data": {
    "page": 1,
    "pageSize": 50,
    "pageNum": 1,
    "totalSize": 48,
    "list": [
      {
        "id": "626",
        "userId": "1234",
        "portfolioId": "123456789",
        "exchangeType": "BINANCE",
        "businessType": "PERP",
        "transactionId": "123456789",
        "statementFlowType": "BROKER_IN_FROM_USER",
        "coin": "USDT",
        "sym": "BINANCE_PERP_BTC_USDT",
        "feePrice": "0.12634846",
        "amount": "0.00724632",
        "createAt": "1721713990284",
        "updateAt": "1721713990284"
      },
      {
        "id": "627",
        "userId": "1234",
        "portfolioId": "123456798",
        "exchangeType": "BINANCE",
        "businessType": "PERP",
        "transactionId": "123456798",
        "statementFlowType": "BROKER_OUT_TO_SYSTEM",
        "coin": "USDT",
        "sym": "BINANCE_PERP_BTC_USDT",
        "feePrice": "0.01554826",
        "amount": "-0.00652821",
        "createAt": "1721713990284",
        "updateAt": "1721713990284"
      }
    ]
  }
}
Response

Language
LoadingLoading…
Response
Choose an example:
application/json